Subject: [Fot] Lifts

From: John Frymark via Fot <[email-masked]>
Date: Tue, 17 Nov 2020 15:42:27 -0600

Jerry,

I’m a Costco sucker! 3-4 years ago they sold MaxJax at a never again seen price. This is a portable 2 post lift that you bolt to the floor but can unbolt and tuck away. The posts don’t stand more than 7’ when in highest position. I installed and never removed because there’s always a car up in it.! Then a year ago Costco starting selling the BL5000SLX Quick Jacks. Thinking I could use this for “quick jacking” I bought it when they knocked an extra $100 off. Problem is I can’t use it with either my GT6 or TR4IRS race car ‘cuz you can’t fit the lifters between tires unless you use a floor jack to lift one end and remove tires. Kinda defeats the purpose! It works with my street cars great!

I think I looked at the 3500 version on the mfrs website and thought it was smaller and might work with LBCs, but I couldn’t get the Costco pricing. If anything, consider the MaxJax with all the benefits of a 2 post lift.

Just my opinion...

John Frymark

Sent from my iPad
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]